import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsStudentparent {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  ParentId!: bigint;
  StudentId!: bigint;
  Default!: unknown;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsStudentparentSchema = defineEntity({
  class: ScsStudentparent,
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    ParentId: p.bigint().name('ParentId').comment('家长id'),
    StudentId: p.bigint().name('StudentId').comment('学生id'),
    Default: p.array().name('Default').comment('默认'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
